Composite.EOC (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.composites

## Enum Composite.EOC

- java.lang.Object
- - java.lang.Enum<Composite.EOC>
  - - org.apache.cassandra.db.composites.Composite.EOC

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Composite.EOC>
  Enclosing interface:
    Composite

      public static enum Composite.EOC
      extends java.lang.Enum<Composite.EOC>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END`
    `NONE`
    `START`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `prefixComparisonResult`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Composite.EOC` | `from(int eoc)`
    `static Composite.EOC` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Composite.EOC[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final Composite.EOC START

    - #### NONE

          public static final Composite.EOC NONE

    - #### END

          public static final Composite.EOC END

  - ### Field Detail

    - #### prefixComparisonResult

          public final int prefixComparisonResult

  - ### Method Detail

    - #### values

          public static Composite.EOC[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Composite.EOC c : Composite.EOC.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Composite.EOC valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### from

          public static Composite.EOC from(int eoc)

Copyright © 2018 The Apache Software Foundation